
Figure - Bug #113431
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】<长按设置图标添加的快捷方式>与<进入桌面编辑添加微件添加的快捷方式>不互通
且存在互斥现象
2022-11-01 11:12 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-01

Priority: High Due date: 2022-11-08

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0042.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211090616

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、长按设置图标在弹出框中随意添加一个快捷方式（如电池）

2、长按桌面空白处进入桌面编辑模式

3、点击添加微件

4、添加设置的<电池>快捷方式

5、观察两个快捷方式的图标

6、分别使用两个快捷方式

【预期结果】

5、相同的快捷方式图标一致

6、两个快捷方式都可正常使用

【实际结果】

5、相同的快捷方式图标有差异

6、不能成功打开快捷方式且出现”未安装应用“的提示

History

#1 - 2022-11-02 18:00 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#2 - 2022-11-08 10:33 - CD FW-王伟

除了本身的问题之外，我们为什么可以添加电池的快捷方式？请去掉此快捷方式。

#3 - 2022-11-08 17:24 - CD AF-陈羽杰

- Due date set to 2022-11-08

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100
- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

本地验证

■ My analysis

经过讨论，去掉了长按settings，添加widgets，去掉部分launcher中可以选择的widgets

■ Next action

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/160997

#4 - 2022-11-09 10:24 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211090616

11.9

已经不能通过长按设置添加微件

launcher中部分微件选项也被移除

验证通过

#5 - 2022-11-09 10:24 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160997 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Settings widgets bug1.cut crop long click Settings add widgets2.cut crop PowerUsage,LocationSettings,NotificationStation,AccessibilitySettings, 

DataUsage,Account,Do Not Disturb Mode widgetsTC-RID: 1201-0201813IssueID: TS-R-BUG-113431Change-Id: Ib32c3ab12dc788c3256096f9711f88f05fa3a759
